package com.skcomms.test;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.LoggerFactory;
import org.slf4j.Logger;

import net.sourceforge.wurfl.core.Device;
import net.sourceforge.wurfl.core.WURFLHolder;
import net.sourceforge.wurfl.core.WURFLManager;


public class WurflTest extends HttpServlet {

	private static final long serialVersionUID = 1L;
	/** Logger */
	private final Logger log = LoggerFactory.getLogger(getClass());

	protected void processRequest(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		PrintWriter out = response.getWriter();
		out.println("===============================================");
		WURFLHolder wurflHolder = (WURFLHolder) getServletContext()
				.getAttribute("net.sourceforge.wurfl.core.WURFLHolder");

		WURFLManager wurfl = wurflHolder.getWURFLManager();

		Device device = wurfl.getDeviceForRequest(request);

		log.debug("[Debug] Device: " + device.getId());
		log.info("[Info] Device: " + device.getId());

		out.println("is_wireless_device = "+device.getCapability("is_wireless_device"));
		out.println("resolution_height = "+device.getCapability("resolution_height"));
		out.println("resolution_width = "+device.getCapability("resolution_width"));
	}

	protected void doGet(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		processRequest(request, response);
	}

	protected void doPost(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		processRequest(request, response);
	}
}